# Record TCefFrame

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefFrame = record`

## Description

Structure used to represent a frame in the browser window. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefFrame.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_capi.h">CEF source file: /include/capi/cef_frame_capi.h (cef_frame_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefFrame): Integer; stdcall;`
| `undo: procedure(self: PCefFrame); stdcall;`
| `redo: procedure(self: PCefFrame); stdcall;`
| `cut: procedure(self: PCefFrame); stdcall;`
| `copy: procedure(self: PCefFrame); stdcall;`
| `paste: procedure(self: PCefFrame); stdcall;`
| `paste_and_match_style: procedure(self: PCefFrame); stdcall;`
| `del: procedure(self: PCefFrame); stdcall;`
| `select_all: procedure(self: PCefFrame); stdcall;`
| `view_source: procedure(self: PCefFrame); stdcall;`
| `get_source: procedure(self: PCefFrame; visitor: PCefStringVisitor); stdcall;`
| `get_text: procedure(self: PCefFrame; visitor: PCefStringVisitor); stdcall;`
| `load_request: procedure(self: PCefFrame; request: PCefRequest); stdcall;`
| `load_url: procedure(self: PCefFrame; const url: PCefString); stdcall;`
| `execute_java_script: procedure(self: PCefFrame; const code, script_url: PCefString; start_line: Integer); stdcall;`
| `is_main: function(self: PCefFrame): Integer; stdcall;`
| `is_focused: function(self: PCefFrame): Integer; stdcall;`
| `get_name: function(self: PCefFrame): PCefStringUserFree; stdcall;`
| `get_identifier: function(self: PCefFrame): PCefStringUserFree; stdcall;`
| `get_parent: function(self: PCefFrame): PCefFrame; stdcall;`
| `get_url: function(self: PCefFrame): PCefStringUserFree; stdcall;`
| `get_browser: function(self: PCefFrame): PCefBrowser; stdcall;`
| `get_v8_context: function(self: PCefFrame): PCefv8Context; stdcall;`
| `visit_dom: procedure(self: PCefFrame; visitor: PCefDomVisitor); stdcall;`
| `create_urlrequest: function(self: PCefFrame; request: PCefRequest; client: PCefUrlrequestClient): PCefUrlRequest; stdcall;`
| `send_process_message: procedure(self: PCefFrame; target_process: TCefProcessId; message_: PCefProcessMessage); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefFrame): Integer; stdcall;`
This item has no description.

| `undo: procedure(self: PCefFrame); stdcall;`
This item has no description.

| `redo: procedure(self: PCefFrame); stdcall;`
This item has no description.

| `cut: procedure(self: PCefFrame); stdcall;`
This item has no description.

| `copy: procedure(self: PCefFrame); stdcall;`
This item has no description.

| `paste: procedure(self: PCefFrame); stdcall;`
This item has no description.

| `paste_and_match_style: procedure(self: PCefFrame); stdcall;`
This item has no description.

| `del: procedure(self: PCefFrame); stdcall;`
This item has no description.

| `select_all: procedure(self: PCefFrame); stdcall;`
This item has no description.

| `view_source: procedure(self: PCefFrame); stdcall;`
This item has no description.

| `get_source: procedure(self: PCefFrame; visitor: PCefStringVisitor); stdcall;`
This item has no description.

| `get_text: procedure(self: PCefFrame; visitor: PCefStringVisitor); stdcall;`
This item has no description.

| `load_request: procedure(self: PCefFrame; request: PCefRequest); stdcall;`
This item has no description.

| `load_url: procedure(self: PCefFrame; const url: PCefString); stdcall;`
This item has no description.

| `execute_java_script: procedure(self: PCefFrame; const code, script_url: PCefString; start_line: Integer); stdcall;`
This item has no description.

| `is_main: function(self: PCefFrame): Integer; stdcall;`
This item has no description.

| `is_focused: function(self: PCefFrame): Integer; stdcall;`
This item has no description.

| `get_name: function(self: PCefFrame): PCefStringUserFree; stdcall;`
This item has no description.

| `get_identifier: function(self: PCefFrame): PCefStringUserFree; stdcall;`
This item has no description.

| `get_parent: function(self: PCefFrame): PCefFrame; stdcall;`
This item has no description.

| `get_url: function(self: PCefFrame): PCefStringUserFree; stdcall;`
This item has no description.

| `get_browser: function(self: PCefFrame): PCefBrowser; stdcall;`
This item has no description.

| `get_v8_context: function(self: PCefFrame): PCefv8Context; stdcall;`
This item has no description.

| `visit_dom: procedure(self: PCefFrame; visitor: PCefDomVisitor); stdcall;`
This item has no description.

| `create_urlrequest: function(self: PCefFrame; request: PCefRequest; client: PCefUrlrequestClient): PCefUrlRequest; stdcall;`
This item has no description.

| `send_process_message: procedure(self: PCefFrame; target_process: TCefProcessId; message_: PCefProcessMessage); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.